<?php
class AddUserIdToBasketTable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'add_user_id_to_basket_table';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_basket_baskets' => array(
					'user_id' => array('type' => 'integer', 'null' => true, 'length' => '11', 'unsigned' => false, 'after' => 'currency_id'),
					'indexes' => array(
						'fk_basket_baskets_user1_idx' => array('column' => 'user_id', 'unique' => 0),
					),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_basket_baskets' => array(
					'user_id',
					'indexes' => array(
						'fk_basket_baskets_user1_idx'
					),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
